/*****************************************************************************/
/*                                                                           */
/* Modul: CLIPBRD.H                                                          */
/*                                                                           */
/*****************************************************************************/
#ifndef _qed_clipbrd_h_
#define _qed_clipbrd_h_

#include "memory.h"

#define NO_UNDO			0		/*  Werte von 'undo'  */
#define COL_ANDERS		1
#define BLK_PASTE			3
#define BLK_CUT			4
#define BLK_DEL			5
#define BLK_PASTE_TRASH	6

EXTERN WORD iclipbrd, clip_type;

VOID		clr_undo				(VOID);
BOOLEAN	any_undo				(VOID);
BOOLEAN	test_col_anders	(VOID);
VOID		end_undo_seq		(VOID);
VOID		add_undo				(WORD undo_op);
WORD		get_undo				(VOID);

BOOLEAN	clip_ondisk			(BOOLEAN flag);
BOOLEAN	is_clip_ondisk		(VOID);

VOID		undo_takes_text	(RINGP r);
RINGP		get_undo_text		(VOID);
VOID		clip_takes_text	(RINGP r);
VOID		clip_add_text		(RINGP r);
VOID		init_clipbrd		(VOID);

#endif
